package omq.common.broker;

import java.io.Serializable;

public class HasObject implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String brokerName;
	private String reference;
	private boolean hasObject;
	private int numThreads;

	public HasObject(String brokerName, String reference, boolean hasObject, int numThreads) {
		this.brokerName = brokerName;
		this.reference = reference;
		this.hasObject = hasObject;
		this.numThreads = numThreads;
	}

	public String getBrokerName() {
		return brokerName;
	}

	public void setBrokerName(String brokerName) {
		this.brokerName = brokerName;
	}

	public String getReference() {
		return reference;
	}

	public void setReference(String reference) {
		this.reference = reference;
	}

	public boolean hasObject() {
		return hasObject;
	}

	public void setHasObject(boolean hasObject) {
		this.hasObject = hasObject;
	}

	public int getNumThreads() {
		return numThreads;
	}

	public void setNumThreads(int numThreads) {
		this.numThreads = numThreads;
	}

}
